<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-configuration PUBLIC "-//Hibernate/Hibernate Configuration DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">
<hibernate-configuration>
    <session-factory name="bank/db">
    	<property name="hibernate.connection.datasource">java:/plugins/fpwriter/XADB</property>
    	<property name="hibernate.connection.driver_class">org.postgresql.Driver</property>
        <property name="hibernate.dialect">org.hibernate.dialect.PostgreSQLDialect</property>
        <property name="hibernate.default_schema">public</property>
    	
    	<!-- <property name="hibernate.connection.username">postgres</property>
    	<property name="hibernate.connection.password">k0l0</property>
        <property name="hibernate.connection.url">jdbc:postgresql://localhost:5432/bandela</property> -->

        <property name="hibernate.hbm2ddl.auto">update</property>
        <property name="current_session_context_class">jta</property>
        <property name="hibernate.transaction.jta.platform">org.hibernate.engine.transaction.jta.platform.internal.JBossAppServerJtaPlatform</property>
        <property name="hibernate.transaction.factory_class">org.hibernate.engine.transaction.internal.jta.CMTTransactionFactory</property>
        <property name="show_sql">true</property>
        <property name="hibernate.connection.release_mode">after_transaction</property>
        <property name="org.hibernate.envers.do_not_audit_optimistic_locking_field">false</property>
        <property name="org.hibernate.envers.store_data_at_delete">true</property>
        <property name="org.hibernate.envers.audit_table_prefix"/>
        <property name="org.hibernate.envers.audit_table_suffix">_AUD</property>
        <!-- Mapped Classes -->
        <mapping class="com.an.banking.model.entity.BankAccount"/>
        <mapping class="com.an.banking.model.entity.BankUser"/>
        <mapping class="com.an.banking.model.entity.TransactionLogs"/>
        <listener class="org.hibernate.envers.event.AuditEventListener" type="post-insert"/>
        <listener class="org.hibernate.envers.event.AuditEventListener" type="post-update"/>
        <listener class="org.hibernate.envers.event.AuditEventListener" type="post-delete"/>
        <listener class="org.hibernate.envers.event.AuditEventListener" type="pre-collection-update"/>
        <listener class="org.hibernate.envers.event.AuditEventListener" type="pre-collection-remove"/>
        <listener class="org.hibernate.envers.event.AuditEventListener" type="post-collection-recreate"/>
    </session-factory>
</hibernate-configuration>